## pykota 1.26-fixes-0ubuntu6

=== debian/changelog ===
pykota (1.26-fixes-0ubuntu6) precise; urgency=low

  * putting apparmor profile into complain mode to make it work for now. 

 -- Thomas Schmitt <thomas@linuxmuster.net>  Mon, 04 Feb 2013 18:23:39 +0100

pykota (1.26-fixes-0ubuntu5) precise; urgency=low

  * moved cupspykota backend to /usr/lib/cups/backend.
  * updated apparmor profile.
  * debian/postinst: removed obsolete stuff. 

 -- Thomas Schmitt <thomas@linuxmuster.net>  Mon, 04 Feb 2013 16:21:16 +0100

pykota (1.26-fixes-0ubuntu4) precise; urgency=low

  * added python2.7 to depends.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sun, 03 Feb 2013 22:48:04 +0100

pykota (1.26-fixes-0ubuntu3) precise; urgency=low

  * added apparmor profile for backend (closes #70).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sun, 03 Feb 2013 22:27:50 +0100

pykota (1.26-fixes-0ubuntu2) precise; urgency=low

  * debian/rules: added install-lib path prefix (closes #69).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sat, 02 Feb 2013 14:57:11 +0100

pykota (1.26-fixes-0ubuntu1) precise; urgency=low

  * precise build.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Thu, 31 Jan 2013 19:28:48 +0100

pykota (1.26-fixes-lml-lenny1) unstable; urgency=low
  
  * Lenny version for linux-musterloesung created, base: pykota 1.26_fixes

 -- Frank Schiebel <frank@linuxmuster.net>  Mon, 17 May 2010 20:44:00 +0100

pykota (1.26_unofficial) unstable; urgency=low
  
  * Update from SVN.

 -- Jerome Alet <alet@librelogiciel.com>  Tue, 24 Jul 2007 13:55:45 +0200

pykota (1.25) unstable; urgency=low
  
  * Update from SVN.

 -- Jerome Alet <alet@librelogiciel.com>  Sun, 3 Dec 2006 16:57:00 +0100

pykota (1.24) unstable; urgency=low
  
  * Update from SVN.

 -- Jerome Alet <alet@librelogiciel.com>  Sat, 8 Apr 2006 18:50:00 +0200

pykota (1.24beta) unstable; urgency=low

  * Update from SVN.

 -- Jerome Alet <alet@librelogiciel.com>  Sun, 26 Mar 2006 11:10:00 +0200

pykota (1.23) unstable; urgency=low

  * Update from SVN.
  
 -- Jerome Alet <alet@librelogiciel.com>  Sun, 10 Oct 2005 00:07:00 +0200
 

pykota (1.23beta) unstable; urgency=low

  * Update from SVN.
  
 -- Jerome Alet <alet@librelogiciel.com>  Sun, 25 Sept 2005 17:19:00 +0200
 

pykota (1.22) unstable; urgency=low

  * Update from SVN.
  
 -- Jerome Alet <alet@librelogiciel.com>  Sun, 8 May 2005 22:27:00 +0200
 

pykota (1.22beta) unstable; urgency=low

  * Update from SVN.
  
 -- Jerome Alet <alet@librelogiciel.com>  Sat, 3 May 2005 23:21:00 +0200
 

pykota (1.21) unstable; urgency=low

  * Update from CVS.
  
 -- Jerome Alet <alet@librelogiciel.com>  Sat, 5 Mar 2005 19:58:00 +0200
 

pykota (1.21beta) unstable; urgency=low

  * Update from CVS.
  
 -- Jerome Alet <alet@librelogiciel.com>  Thu, 24 Feb 2005 22:53:00 +0200
 

pykota (1.20) unstable; urgency=low

  * Update from CVS. 

 -- Jerome Alet <alet@librelogiciel.com>  Mon, 1 Nov 2004 08:51:44 +0200
 

pykota (1.20beta) unstable; urgency=low

  * Update from CVS. 

 -- Jerome Alet <alet@librelogiciel.com>  Sat, 23 Oct 2004 18:22:44 +0200
 

pykota (1.20alpha24) unstable; urgency=low

  * Update from CVS. 

 -- Sergio González González <sergio.gonzalez@hispalinux.es>  Wed, 13 Oct 2004 01:29:44 +0200

pykota (1.20alpha23) unstable; urgency=low

  * Update from CVS.
  * Added debconf support.
  * Slightly reorganized the directory debian.
  * Move pykota.schema to /etc/ldap/schema.
  * Modified a bit the script setup.py to improve the build process of Debian
    package.
  * Add python-psyco as Recommends
  * Add jaxml and python-osd as Depends

 -- Sergio González González <sergio.gonzalez@hispalinux.es>  Mon, 11 Oct 2004 11:59:15 +0200

pykota (1.19) unstable; urgency=low

  * Update from CVS.
  
 -- Jerome Alet <alet@librelogiciel.com>  Wed,  28 Jul 2004 15:59:03 +0100
 

pykota (1.19alpha29) unstable; urgency=low

  * Update from CVS.

 -- Sergio González González <sergio.gonzalez@hispalinux.es>  Mon,  5 Jul 2004 15:59:03 +0100

pykota (1.19alpha20.cvs.20040611-1) unstable; urgency=low

  * Update from CVS.

 -- Sergio González González <sergio.gonzalez@hispalinux.es>  Fri, 11 Jun 2004 17:10:04 +0100

pykota (1.16.cvs.20040119-1) unstable; urgency=low

  * Initial Release.

 -- Peter Hawkins <peterh@debian.org>  Mon, 19 Jan 2004 20:03:43 +1100
