=== debian/control ===
Source: pykota
Section: text
Priority: extra
Maintainer: Frank Schiebel <frank@linuxmuster.net>, Jerome Alet <alet@librelogiciel.com>
Build-Depends-Indep: debhelper (>= 4.0.0), python, python2.7, docbook-utils, python-dev, python2.7-dev
Standards-Version: 3.6.1
XS-Vcs-Svn: svn://svn.librelogiciel.com/pykota
XS-Vcs-Browser: http://svn.librelogiciel.com/cgi-bin/viewcvs.cgi/pykota/

Package: pykota
Architecture: all
Depends: python, python2.7, python-egenix-mxdatetime, cups,  python-pygresql | python-ldap | python-pysqlite2 | python-mysqldb, jaxml | python-jaxml, python-osd, python-reportlab, python-pysnmp4, python-imaging, pkpgcounter, pkipplib 
Recommends: qa-assistant, snmp, netatalk, python-psyco, npadmin, python-pam, python-chardet
Description: Print Quota/Accounting system for CUPS
 PyKota is a full featured, internationalized, centralized and extensible 
 Print Quota system for CUPS. It supports both PostgreSQL, MySQL, SQLite and 
 OpenLDAP (or other LDAP servers) as the quota database backend
 .
 This package is build an modified for use in linux-musterloesung 
 .
 This software features most of what you might expect from a modern Print 
 Quota and Accounting Solution. However it can be extended at will 
 because it allows one to plug his own administrative scripts at
 several stages of the printing process.
 .
 Full access to source code is granted to all for no fee via Subversion, but 
 installable tarball, DEB and RPM download is for a fee. Redistribution and 
 modification is allowed to all under the terms of the GNU GPL.
